

//
//	CONSOLE_QUIT
//
//	This console command exits the emulator (shuts down the console)
//
//	Syntax:
//
//		QUIT
//
//	Parameters:
//
//

#include "vax.pch"
#include "console_proto.h"
#include "asmproto.h"

long console_quit( struct VAX ** Vax, char ** P )
{
	long rc;
	struct VAX * vax;
	char * p;

/*
 *	Get local addressability to virtual VAX and command buffer
 */
 
	vax = *Vax;
	p = *P;

	rc = VAX_OK;
	
/*
 *	If there is no active virtual VAX, we are done!
 */
 
	if( vax == 0L ) {
		rc = VAX_NOVAX;
		return rc;
	}
	
	vax-> console.running = 0;
	
	
/*
 *	Store parameters back to caller.
 */


	*Vax = vax;
	*P = p;
	return rc;
}
