
//
//	memmap.h
//
//	This contains definitions used by the structure mapping logic that maps
//	data structures in the VAX address space into native structures.  This is
//	used for image loading, page table management, etc.
//

struct MAPLIST {
	struct MAPLIST *	next;
	char				name[ 32 ];
	long				p_offset;
	long				v_offset;
	short				size;
	short				kind;
};
	
struct MAP {
	struct MAP	 	* next;
	struct MAPLIST	*list;
	char			name[ 32 ];
};


GLOBALINIT( struct MAP * maps,  0L )


long map_init( char * name );
long map_add( char * name, char * member, long vax_offset, long struct_offset, short size, short kind );
struct MAP * find_map( char * name );
long map_dump( void );
long map( struct VAX * vax, char * name, void * structure, unsigned long vax_addr );


#define STROFF( structure, member ) \
	(( long ) &( structure-> member )) - (( long ) structure )